GET https://app.alaaqat.com/api/invoices
تعرض هذه النقطة الفواتير في حسابك، الأحدث أولاً. يحتاج مفتاح واجهة التطبيق البرمجية إلى الإمكانية invoice-index.
تضم القائمة الفواتير التي يراها في التطبيق عضو الفريق الذي أنشأ المفتاح: جميعها مع صلاحية عرض الفواتير، أو تلك التي يملكها هو أو فرقه فقط مع صلاحية عرض الفواتير الخاصة بالفريق أو عرض الفواتير الخاصة بالمستخدم.
{
"Accept": "application/json"
}
تقبل هذه النقطة معطيات الصفحات بحد أقصى 250 سجلاً في الصفحة، وتدعم التصفية المعقدة.
| المفتاح | النوع | الافتراضي | الوصف |
|---|---|---|---|
| search | نص | - | البحث حسب رقم الفاتورة أو عنوانها. |
| complex_filters | مصفوفة | [] | التصفية حسب قيم الخصائص. راجع التصفية المعقدة. |
| forAssociationType | نص | - | مع forAssociationId، تعرض فقط الفواتير المرتبطة بسجل واحد. راجع الارتباطات. |
| forAssociationId | نص | - | قيمة _id للسجل الذي تريد الفواتير المرتبطة به. |
200 OK، أو 206 Partial Content إذا تبقّت صفحات أخرى. تأتي الفواتير ضمن data، وقيم خصائص كل سجل ضمن properties، وبنود الفاتورة ضمن items. راجع الصفحات لمعنى links وmeta.
{
"data": [
{
"properties": {
"_id": "6657c1d2e3f4a5b6c7d8e901",
"title": "Office chairs, October order",
"status": "open",
"currency": "JOD",
"discount_rate": 5,
"tax_rate": 16,
"invoice_number": "INV-1001",
"amount": 523.45,
"created_by": 12,
"updated_at": "2026-10-20T09:30:00.000000Z",
"created_at": "2026-10-20T09:30:00.000000Z"
},
"account_id": 1024,
"items": [
{
"net_price": 440,
"name": "Ergonomic office chair",
"unit_price": 120,
"quantity": 4,
"description": "Black mesh back",
"unit_discount": 10,
"tax_rate": 0
},
{
"net_price": 35,
"name": "Delivery and assembly",
"unit_price": 35,
"quantity": 1,
"description": null,
"unit_discount": 0,
"tax_rate": 0
}
]
},
{
"properties": {
"_id": "6657c1d2e3f4a5b6c7d8e902",
"title": "Meeting room setup",
"status": "paid",
"currency": "JOD",
"discount_rate": 5,
"tax_rate": 16,
"invoice_number": "INV-1000",
"amount": 1180,
"created_by": 12,
"updated_at": "2026-10-18T11:00:00.000000Z",
"created_at": "2026-10-18T11:00:00.000000Z"
},
"account_id": 1024,
"items": [
{
"net_price": 1180,
"name": "Meeting room setup",
"unit_price": 1180,
"quantity": 1,
"description": null,
"unit_discount": 0,
"tax_rate": 0
}
]
}
],
"links": {
"first": "https://app.alaaqat.com/api/invoices?page=1",
"last": "https://app.alaaqat.com/api/invoices?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://app.alaaqat.com/api/invoices?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "https://app.alaaqat.com/api/invoices",
"per_page": 15,
"to": 2,
"total": 2
}
}